glance.pyears {broom} | R Documentation

## Glance at a(n) pyears object

### Description

Glance accepts a model object and returns a `tibble::tibble()` with exactly one row of model summaries. The summaries are typically goodness of fit measures, p-values for hypothesis tests on residuals, or model convergence information.

Glance never returns information from the original call to the modelling function. This includes the name of the modelling function or any arguments passed to the modelling function.

Glance does not calculate summary measures. Rather, it farms out these computations to appropriate methods and gathers the results together. Sometimes a goodness of fit measure will be undefined. In these cases the measure will be reported as `NA`.

### Usage

    ## S3 method for class 'pyears'
    glance(x, ...)

### Arguments

`x` | A `pyears` object returned from `survival::pyears()`.

`...`

Additional arguments. Not used. Needed to match generic signature only. Cautionary note: Misspelled arguments will be absorbed in `...`, where they will be ignored. If the misspelled argument has a default value, the default value will be used. For example, if you pass `conf.lvel = 0.9`, all computation will proceed using `conf.level = 0.95`. Additionally, if you pass `newdata = my_tibble` to an `augment()` method that does not accept a `newdata` argument, it will use the default value for the `data` argument.

### Value

A one-row tibble::tibble with columns:

`total` | total number of person-years tabulated
`offtable` | total number of person-years off table

### See Also

`glance()`, `survival::pyears()`

Other pyears tidiers: `tidy.pyears`

Other survival tidiers: `augment.coxph`, `augment.survreg`, `glance.aareg`, `glance.cch`, `glance.coxph`, `glance.survdiff`, `glance.survexp`, `glance.survfit`, `glance.survreg`, `tidy.aareg`, `tidy.cch`, `tidy.coxph`, `tidy.pyears`, `tidy.survdiff`, `tidy.survexp`, `tidy.survfit`, `tidy.survreg`

[Package broom version 0.5.2 Index]